Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592790 - [abrt] crash in hplip-3.10.2-6.fc12: logger.py:186:log:IOError: [Errno 5] Erro de entrada/sa?da
Summary: [abrt] crash in hplip-3.10.2-6.fc12: logger.py:186:log:IOError: [Errno 5] Err...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:63b7a088
: 865096 1086405 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 22:33 UTC by Marcos Braz d e Souza
Modified: 2014-04-11 09:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:38:56 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-16 22:33 UTC, Marcos Braz d e Souza
no flags Details

Description Marcos Braz d e Souza 2010-05-16 22:33:04 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/hp-setup -u
component: hplip
executable: /usr/bin/hp-setup
kernel: 2.6.32.12-114.fc12.i686.PAE
package: hplip-3.10.2-6.fc12
reason: logger.py:186:log:IOError: [Errno 5] Erro de entrada/sa?da
release: Fedora release 12 (Constantine)

backtrace
-----
logger.py:186:log:IOError: [Errno 5] Erro de entrada/sa?da

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/setupdialog.py", line 1228, in NextButton_clicked
    self.showAddPrinterPage()
  File "/usr/share/hplip/ui4/setupdialog.py", line 650, in showAddPrinterPage
    ok, sudo_ok = pkit.run_plugin_command(plugin == PLUGIN_REQUIRED, plugin_reason)
  File "/usr/share/hplip/base/pkit.py", line 475, in run_plugin_command
    status, output = utils.run(cmd, log_output=True, password_func=None, timeout=1)
  File "/usr/share/hplip/base/utils.py", line 1051, in run
    log.error("Exception: %s" % e)
  File "/usr/share/hplip/base/logger.py", line 321, in error
    self.log(self.color(txt, 'red'), Logger.LOG_LEVEL_ERROR)
  File "/usr/share/hplip/base/logger.py", line 186, in log
    out.write(message)
IOError: [Errno 5] Erro de entrada/sa?da

Local variables in innermost frame:
self: <base.logger.Logger object at 0xb760d80c>
level: 30
newline: True
message: '\x1b[31;01merror: Exception: [Errno 5] Erro de entrada/sa?da\x1b[0m'
out: <open file '<stderr>', mode 'w' at 0xb77540c0>

Comment 1 Marcos Braz d e Souza 2010-05-16 22:33:07 UTC
Created attachment 414423 [details]
File: backtrace

Comment 2 Jiri Popelka 2010-05-18 10:54:22 UTC
Are you able to reproduce the crash ?
Or did it happen only once ?

What does show this command on your machine:
python -c "import sys; sys.stderr.write('\x1b[31;01merror: Exception: [Errno 5] Erro de entrada/sa?da\x1b[0m')"

Comment 4 Bug Zapper 2010-11-03 14:46:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 balustre 2010-11-24 11:25:10 UTC
Package: hplip-gui-3.10.9-5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open hp-toolbox form terminal
2. Close hp-toolbox
3.

Comment 6 balustre 2010-11-24 11:27:09 UTC
$ python -c "import sys; sys.stderr.write('\x1b[31;01merror: Exception: [Errno 5]
Erro de entrada/sa?da\x1b[0m')"

  File "<string>", line 1
    import sys; sys.stderr.write('\x1b[31;01merror: Exception: [Errno 5]
                                                                       ^
SyntaxError: EOL while scanning string literal

Comment 7 Jiri Popelka 2010-11-24 11:34:07 UTC
(In reply to comment #6)
> $ python -c "import sys; sys.stderr.write('\x1b[31;01merror: Exception: [Errno
> 5]
> Erro de entrada/sa?da\x1b[0m')"

It is all on one line.

Comment 8 Bug Zapper 2010-12-03 14:38:56 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Jiri Popelka 2012-10-11 07:47:22 UTC
*** Bug 865096 has been marked as a duplicate of this bug. ***

Comment 10 Jiri Popelka 2014-04-11 09:54:24 UTC
*** Bug 1086405 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.